#!/bin/bash
PRODUCTNAME="idzor"
TMPDIR="/tmp/idzor"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"

mkdir -p $IPCDIR
touch $IPCDIR/idzor.lic
chmod 777 $IPCDIR/idzor.lic
chmod +x $INSTALLDIR/$PRODUCTNAME/idzorsvc.php
if [ ! -f /usr/sbin/idzor ]
then
ln -s $INSTALLDIR/$PRODUCTNAME/idzorsvc.php /usr/sbin/idzor
fi

cat >/etc/cron.d/idzor<<EOF
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
0 * * * * root /usr/sbin/idzor --refresh > /dev/null
EOF